FTSTRING(1)

NAME
ftstring - string viewer

SYNOPSIS
ftstring [options] [pt] font ...

DESCRIPTION
ftstring displays a text string with the given font, allowing to change various rendering and display options interactively.

pt  The point size for the given resolution. If resolution is 72dpi, this directly gives the ppem value (pixels per EM).

font
    The font file(s) to display. For Type 1 font files, ftstring also tries to attach the corresponding metrics file (with extension `.afm' or `.pfm').

Besides the string, ftstring also displays two stress test patterns sensitive to rendering flaws, such as incorrect gamma settings. Alternative text-carpeting and waterfall views are also available. This program is part of the FreeType demos package.

OPTIONS

-d WxH[xD]
    Set the window width to W px, the height to H px, and optionally the depth to D bpp (default: 640x480x24).

-r r
    Use resolution r dpi (default: 72dpi).

-e enc
    Specify encoding tag (default: no encoding). Common values: unic (Unicode), symb (symbol), ADOB (Adobe standard), ADBC (Adobe custom), or a numeric charmap index.

-m text
    Use text for rendering.

-k keys
    Emulate sequence of keystrokes upon start-up. If the keystrokes contain 'q', the program operates in batch mode. Function keys Fx are mapped to character codes 0xFx; as an example, -k $'\xF3q' is function key 'F3' followed by character 'q'.

-v  Show version.